Project

General

Profile

Bug #475

audacious depends on a version of libuess that does not exist yet

Added by Brad Smith almost 5 years ago. Updated almost 5 years ago.

Status:
Closed
Priority:
Major
Category:
-
Target version:
-
Start date:
November 02, 2014
Due date:
% Done:

0%

Estimated time:
Affects version:

Description

Audacious 3.5 depends on a version of libguess that does not even exist yet.

History

#1 Updated by John Lindgren almost 5 years ago

  • Assignee set to William Pitcock

#2 Updated by Thomas Lange almost 5 years ago

Additionally the download links to older versions are dead.

wget http://distfiles.atheme.org/libguess-1.1.tar.gz
2014-11-02 14:42:26 ERROR 404: Not Found.

#3 Updated by John Lindgren almost 5 years ago

The Git repository for libguess is at https://github.com/kaniini/libguess, and libguess 1.2 has been tagged for a while now, but atheme.org never added a tarball for it. Possibly we should just create one and host it on audacious-media-player.org.

#4 Updated by Brad Smith almost 5 years ago

John Lindgren wrote:

The Git repository for libguess is at https://github.com/kaniini/libguess, and libguess 1.2 has been tagged for a while now, but atheme.org never added a tarball for it. Possibly we should just create one and host it on audacious-media-player.org.

I am aware of where the Git repo is. Part of putting out releases is rolling a tarball for the release. This is where things have broken down. By the lack of the tarball a release does not exist to most open source projects.

#5 Updated by William Pitcock almost 5 years ago

  • Status changed from New to Closed

Atheme.org was discontinued, you can find distfiles for libguess-1.2 at http://rabbit.dereferenced.org/~nenolod/distfiles/

#6 Updated by Brad Smith almost 5 years ago

William Pitcock wrote:

Atheme.org was discontinued, you can find distfiles for libguess-1.2 at http://rabbit.dereferenced.org/~nenolod/distfiles/

Thanks for the reply. I wouldn't have even filed the bug report if I had come across a URL on what looks like the official web site pointing to there.

#7 Updated by Thomas Lange almost 5 years ago

William Pitcock wrote:

Atheme.org was discontinued, you can find distfiles for libguess-1.2 at http://rabbit.dereferenced.org/~nenolod/distfiles/

Then at least update the links at http://atheme.org/projects/libguess.html.
How are package maintainers supposed to know this URL?

Also available in: Atom PDF